+++
title = "What 2025 blog question challenge ?"
author = ["Elia el Lazkani"]
date = 2025-02-20
lastmod = 2025-02-20
tags = ["challenge", "qa", "questions", "answers"]
categories = ["misc"]
draft = false
+++

A few weeks ago, [Jason](https://janusworx.com) sneakily slipped me a link to a [blog post](https://janusworx.com/work/blog-questions-challenge-2025/) of his. He
knows that I _already_ subscribe to his blog but you cannot be as wise without
meddling with the forces of nature. Well, long story short, his meddling worked
so... here we go ?


## Why did you make the blog in the first place? {#why-did-you-make-the-blog-in-the-first-place}

<!--more-->

I, honestly, cannot remember why I made it in the first place but it was a long
time ago. I do remember that my first post was about the _plugin_ I wrote for
`weechat`. After that, I sort of wrote on things I was playing around with. I
said it before, it's how I learn. Maybe the difference is that I dig deeper,
beyond the surface. It's fun, I get to document it for myself because believe it
or not, I do come back to the blog for refreshers. It also comes handy cause I
can simply send someone a link that explains a topic in more details.


## What platform are you using to manage your blog and why did you choose it? {#what-platform-are-you-using-to-manage-your-blog-and-why-did-you-choose-it}

I use _Hugo_ to generate this blog and if you know where to look, it is _open
source_. The answer to why is a bit more complicated but to simplify it, I
prefer a static blog over CRMs. _Hugo_ is quick and I have it integrated with
_Emacs_ where I write my _posts_ in `org`. The generation, packaging and
deployment is all automated.


## Have you blogged on other platforms before? {#have-you-blogged-on-other-platforms-before}

This blog started its life on _WordPress_. I was never quite happy with the
performance for such a simple blog. It was then migrated to _Joomla_. That phase
did not last long because once I learned about static blog generators, the blog
was migrated to _Nikola_ quickly. My _Nikola_ setup was quite elaborate and I
wanted to simplify it, for one, and to make it faster. I checked _Hugo_ out and
liked it but migrating from `rst` was a pain. `Orgmode` helped a lot with the
migration but after a long journey, here we are running on _Hugo_.


## How do you write your posts? {#how-do-you-write-your-posts}

The whole blog is one `org` file. I open it with _Emacs_ and add a new section
under the relevant `Tag`. Once I save, _Emacs_ generates the _Markdown_ file,
somewhere. I don't have to care about its management in most cases. I can, then,
generate and run my blog locally with _Hugo_. Once I'm happy with the result, I
_commit_ and _push_. The pipeline takes care of the rest, once all the magic is
done successfully, I deploy with a manual confirmation step.


## When do you feel most inspired to write? {#when-do-you-feel-most-inspired-to-write}

I don't know if that question applies to my case. I don't even know if I do. It
takes a lot of time and effort to write these posts. Documentation is **very**
hard, ask any developer. I'm not sure inspiration is a requirement, hard work is.


## Do you publish immediately after writing or do you let it simmer a bit as a draft? {#do-you-publish-immediately-after-writing-or-do-you-let-it-simmer-a-bit-as-a-draft}

I publish immediately. I mean the post has already took a few hours to write...
If I find a mistake in the future, I correct it and fix the timestamp of edit.


## Your favorite post on your blog? {#your-favorite-post-on-your-blog}

I don't have a favorite post. I know a few that I share frequently, though.


## Any future plans for your blog? Maybe a redesign, changing the tag system, etc.? {#any-future-plans-for-your-blog-maybe-a-redesign-changing-the-tag-system-etc-dot}

I don't believe so. Nothing visible to the user, but the infrastructure is
always moving.
